﻿ EXEC P_ALTERPK 'PK_T_LIC_LICENSE_TRIAL', 'T_LIC_LICENSE_TRIAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LIC_LICENSE_TRIAL_PIC') CREATE INDEX IDX_LIC_LICENSE_TRIAL_PIC ON T_LIC_LICENSE_TRIAL ( FPRODINSTCODE );


 EXEC P_ALTERPK 'PK_T_LIC_LICDETAIL_TRIAL', 'T_LIC_LICDETAIL_TRIAL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LIC_LICDETAIL_TRIAL_LIC') CREATE INDEX IDX_LIC_LICDETAIL_TRIAL_LIC ON T_LIC_LICDETAIL_TRIAL ( FID );


 EXEC P_ALTERPK 'PK_T_LIC_LICGROUPAPPS_TRIAL', 'T_LIC_LICGROUPAPPS_TRIAL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LIC_LICGROUPAPP_TRIAL_UG') CREATE INDEX IDX_LIC_LICGROUPAPP_TRIAL_UG ON T_LIC_LICGROUPAPPS_TRIAL ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_LIC_USERLICGROUP_TRIAL', 'T_LIC_USERLICGROUP_TRIAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LIC_USERLICGROUP_TRIAL_UG') CREATE INDEX IDX_LIC_USERLICGROUP_TRIAL_UG ON T_LIC_USERLICGROUP_TRIAL ( FUSERID ,FGROUPID );


 EXEC P_ALTERPK 'PK_T_LIC_SNAPSHOT', 'T_LIC_SNAPSHOT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_LIC_SNAPSHOT_CREATETIME') CREATE INDEX IDX_T_LIC_SNAPSHOT_CREATETIME ON T_LIC_SNAPSHOT ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_LIC_USERBITMAPINDEX', 'T_LIC_USERBITMAPINDEX', 'FID,FPHONE,FEMAIL,FUSERNAME,FBITMAPINDEX', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LIC_USERBITMAPINDEX_BITMAP') CREATE INDEX IDX_LIC_USERBITMAPINDEX_BITMAP ON T_LIC_USERBITMAPINDEX ( FBITMAPINDEX );


 EXEC P_ALTERPK 'PK_T_LIC_GROUPBITMAP', 'T_LIC_GROUPBITMAP', 'FID,FGROUPID,FSIGN', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'UX_T_LIC_GROUPBITMAP_GROUP') CREATE UNIQUE INDEX UX_T_LIC_GROUPBITMAP_GROUP ON T_LIC_GROUPBITMAP ( FGROUPID );

