
/**
 * 时间：20210818
 */

-- 新增蒙古语 Монгол хэл 默认启用
                                       
DELETE FROM t_int_language WHERE FID = 1225195370900999168;
INSERT INTO t_int_language (FID,FABBRCODE,FISDEFAULT,FDESCRIPTION,FMASTERID,FSTATUS,FNUMBER,FNAME,FENABLE,FCREATORID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FDISABLERID,FDISABLEDATE) VALUES (1225195370900999168,'MN','0','蒙古语',1225195370900999168,'C','MN','Монгол хэл','1',1,null,1,null,0,NULL); 

DELETE FROM t_int_language_l WHERE FPKID = '1UGSXQQUQ/Y0';
INSERT INTO t_int_language_l (FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1225195370900999168,'1UGSXQQUQ/Y0','zh_CN','蒙古语','蒙古语');


-- 更新语言名称（by number）-启用的38条记录
update t_int_language set fname = '简体中文', fdescription = '简体中文' where fnumber = 'zh_CN';
update t_int_language set fname = '繁體中文', fdescription = '繁体中文' where fnumber = 'zh_TW';
update t_int_language set fname = 'English', fdescription = '英语' where fnumber = 'en_US';
update t_int_language set fname = 'Afrikaans', fdescription = '南非语' where fnumber = 'AF';
update t_int_language set fname = 'عربي', fdescription = '阿拉伯语' where fnumber = 'AR';
update t_int_language set fname = 'български', fdescription = '保加利亚语' where fnumber = 'BG';
update t_int_language set fname = 'Català', fdescription = '加泰罗尼亚语' where fnumber = 'CA';
update t_int_language set fname = 'hrvatski', fdescription = '克罗地亚语' where fnumber = 'HR';
update t_int_language set fname = 'Čeština', fdescription = '捷克语' where fnumber = 'CS';
update t_int_language set fname = 'Dansk', fdescription = '丹麦语' where fnumber = 'DA';
update t_int_language set fname = 'Nederlands', fdescription = '荷兰语' where fnumber = 'NL';
update t_int_language set fname = 'Eestlane', fdescription = '爱沙尼亚语' where fnumber = 'ET';
update t_int_language set fname = 'Suomi', fdescription = '芬兰语' where fnumber = 'FI';
update t_int_language set fname = 'Français', fdescription = '法语' where fnumber = 'FR';
update t_int_language set fname = 'Deutsch', fdescription = '德语' where fnumber = 'DE';
update t_int_language set fname = 'Ελληνικά', fdescription = '希腊语' where fnumber = 'EL';
update t_int_language set fname = 'Magyar', fdescription = '匈牙利语' where fnumber = 'HU';
update t_int_language set fname = 'Íslensku', fdescription = '冰岛语' where fnumber = 'IS';
update t_int_language set fname = 'Bahasa Indonesia', fdescription = '印度尼西亚语' where fnumber = 'ID';
update t_int_language set fname = 'Italiano', fdescription = '意大利语' where fnumber = 'IT';
update t_int_language set fname = '日本语', fdescription = '日语' where fnumber = 'JA';
update t_int_language set fname = '한국어', fdescription = '韩语' where fnumber = 'KO';
update t_int_language set fname = 'Lietuvių', fdescription = '立陶宛语' where fnumber = 'LT';
update t_int_language set fname = 'Latvietis', fdescription = '拉脱维亚语' where fnumber = 'LV';
update t_int_language set fname = 'Bahasa Melayu', fdescription = '马来语' where fnumber = 'MS';
update t_int_language set fname = 'Norsk', fdescription = '挪威语' where fnumber = 'NO';
update t_int_language set fname = 'Polski', fdescription = '波兰语' where fnumber = 'PL';
update t_int_language set fname = 'русский', fdescription = '俄语' where fnumber = 'RU';
update t_int_language set fname = 'Српски', fdescription = '塞尔维亚语' where fnumber = 'SR';
update t_int_language set fname = 'Slovenčina', fdescription = '斯洛伐克语' where fnumber = 'SK';
update t_int_language set fname = 'Slovensko', fdescription = '斯洛文尼亚语' where fnumber = 'SL';
update t_int_language set fname = 'Slovenski', fdescription = '瑞典语' where fnumber = 'SV';
update t_int_language set fname = 'ไทย', fdescription = '泰语' where fnumber = 'TH';
update t_int_language set fname = 'Türkçe', fdescription = '土耳其语' where fnumber = 'TR';
update t_int_language set fname = 'Українська', fdescription = '乌克兰语' where fnumber = 'UK';
update t_int_language set fname = 'Tiếng việt', fdescription = '越南语' where fnumber = 'VI';
update t_int_language set fname = 'Português', fdescription = '葡萄牙语' where fnumber = 'PT';
update t_int_language set fname = 'Español', fdescription = '西班牙语' where fnumber = 'ES';



-- 预置多语言名称去空格
update t_int_language_l set fname = trim(fname), fdescription = trim(fdescription) where flocaleid = 'zh_CN';

-- 更新多语言名称： 西班牙语(传统风格)  ->   西班牙语
update t_int_language_l set fname = '西班牙语', fdescription = '西班牙语' where fid = 328738400628657152;

-- 更新多语言名称：英语(美国)  ->   英语 ;  繁體中文    ->    繁体中文
update t_int_language_l set fname = '英语', fdescription = '英语' where fid = 328738418647387136;
update t_int_language_l set fname = '繁体中文', fdescription = '繁体中文' where fid = 328738424779459584;


